name: elephant-vert
recipe: wordpress
config:
  php: '7.2'
  xdebug: true
  webroot: htdocs

proxy:
  mailhog:
    - mailhog.elephant-vert.lndo.site

services:
  mailhog:
    type: mailhog
    portforward: true
    hogfrom:
      - appserver
  database:
    portforward: 33022
  node-cli:
    type: node:10
    globals:
      yarn: "latest"

tooling:
  node:
    service: node-cli
  npm:
    service: node-cli
  yarn:
    service: node-cli
  theme:
    service: node-cli
    description: "Start theme dev"
    cmd: cd $LANDO_MOUNT/htdocs/content/themes/theme-ev && yarn dev && yarn watch
  firststart:
    description: "firststart"
    cmd:
      - appserver: cd $LANDO_MOUNT && composer install
      - node-cli: cd $LANDO_MOUNT/htdocs/content/themes/theme-ev && yarn install

  dep:
    service: appserver
    run: php vendor/bin/dep
